<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: ResLocPairsPerNode Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_res_loc_pairs_per_node.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_res_loc_pairs_per_node-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ResLocPairsPerNode Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1e557b7af99eef66f833ffbd32ef8e41"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_res_loc_pairs_per_node.html#a1e557b7af99eef66f833ffbd32ef8e41">hasArgumentExpanion</a></td></tr>
<tr class="separator:a1e557b7af99eef66f833ffbd32ef8e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74379f26a5c424b9cb29e1cdc5048f79"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_res_loc_pairs_per_node.html#a74379f26a5c424b9cb29e1cdc5048f79">hasConcatenatedTokens</a></td></tr>
<tr class="separator:a74379f26a5c424b9cb29e1cdc5048f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f97df4fd9e4a7fa1915d7d9d46ab2ce"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_res_loc_pairs_per_node.html#a1f97df4fd9e4a7fa1915d7d9d46ab2ce">OuterExpansionPair</a></td></tr>
<tr class="separator:a1f97df4fd9e4a7fa1915d7d9d46ab2ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc7360c78856fc01ce1f95c9ced36a9"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_res_loc_pairs_per_node.html#acdc7360c78856fc01ce1f95c9ced36a9">ArgumentExpansionPair</a></td></tr>
<tr class="separator:acdc7360c78856fc01ce1f95c9ced36a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ac06e5fe2d13fd4257411961a2f9cdf"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_res_loc_pairs_per_node.html#a1ac06e5fe2d13fd4257411961a2f9cdf">SpellingExpansionPair_vec</a></td></tr>
<tr class="separator:a1ac06e5fe2d13fd4257411961a2f9cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acdc7360c78856fc01ce1f95c9ced36a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdc7360c78856fc01ce1f95c9ced36a9">&#9670;&nbsp;</a></span>ArgumentExpansionPair</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::pair&lt;SourceLocation,SourceLocation&gt;,FileID&gt; ResLocPairsPerNode::ArgumentExpansionPair</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e557b7af99eef66f833ffbd32ef8e41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e557b7af99eef66f833ffbd32ef8e41">&#9670;&nbsp;</a></span>hasArgumentExpanion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ResLocPairsPerNode::hasArgumentExpanion</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74379f26a5c424b9cb29e1cdc5048f79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74379f26a5c424b9cb29e1cdc5048f79">&#9670;&nbsp;</a></span>hasConcatenatedTokens</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ResLocPairsPerNode::hasConcatenatedTokens</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f97df4fd9e4a7fa1915d7d9d46ab2ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f97df4fd9e4a7fa1915d7d9d46ab2ce">&#9670;&nbsp;</a></span>OuterExpansionPair</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::pair&lt;SourceLocation,SourceLocation&gt;,FileID&gt; ResLocPairsPerNode::OuterExpansionPair</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ac06e5fe2d13fd4257411961a2f9cdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ac06e5fe2d13fd4257411961a2f9cdf">&#9670;&nbsp;</a></span>SpellingExpansionPair_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;std::pair&lt;SourceLocation,SourceLocation&gt;,FileID&gt; &gt; ResLocPairsPerNode::SpellingExpansionPair_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_res_loc_pairs_per_node.html">ResLocPairsPerNode</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
